Public Enrich Lookup
POST /public/enrich/lookup
POST
/public/enrich/lookup
Look up a contact by email using write key authentication.
Used by the
Searches the mashup (OpenSearch) index for enrichment data.
Authorizations
Parameters
Header Parameters
Request Body required
object
email
required
Email address to look up
string
Responses
200
Successful Response
object
data
required
object
found
required
Whether the email was found in graph8
boolean
known_fields
Fields graph8 already knows
object
key
additional properties
any
missing_fields
Fields the form should ask for
Array<string>
pagination
Any of:
object
has_next
required
Whether there are more pages
boolean
limit
required
Items per page
integer
notes
Any of:
Array<string>
null
page
required
Current page number (1-indexed)
integer
total
required
Total number of items
integer
null
422
Validation Error
object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string